<?php
include 'includes/header.php';
$page = 'home';
?>

<style>

.container, .container-fluid, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
    --bs-gutter-x: 3.5rem;
}
section.privacy1 {
    padding: 100px 0 0 0;
}
ul, li, ol {
    list-style: unset;
}
h1 {
    font-size: 25px;
    font-family: 'Poppins';
    font-weight: 400;
    margin: 0;
    padding: 0 !important;
}

p {
    font-size: 14px;
    color: #575555;
    font-weight: 400;
    font-family: 'Poppins';
    padding: 0 !important;
    margin: 10px 0;
}

ul {
    margin: 20px 0 0px 6px;
    list-style: disc;
}
h2 {
    margin: 0;
    padding: 13px 0 8px 0 !important;
    font-weight: 400;
}
h3 {
    padding: 8px 0 3px 0 !important;
}
h3 {
    padding: 8px 0 3px 0 !important;
}

h3 {
    font-weight: 600;
}

strong {
    font-size: 15px;
}
</style>
<main>


    
    <section class="privacy1">
    <div class="container">
        <div class="row">
   <h1>Privacy Policy for AllClipDownloader</h1>
            <p>Last updated: December 03, 2023</p>
            <p>Welcome to AllClipDownloader! Our Privacy Policy outlines our commitment to safeguarding your personal information while you enjoy downloading content from platforms like Instagram, Facebook, YouTube, and TikTok. We value your trust and are dedicated to protecting your privacy rights under the law.</p>
            <p>By using our Service, you consent to our collection, use, and sharing of your information as described in this Privacy Policy. This document was crafted with your security and privacy in mind.</p>
            <h2>Understanding Our Privacy Terms</h2>
            <h3>Key Definitions</h3>
            <p>The terms used in this Privacy Policy have specific meanings. Capitalized words are defined under the following conditions, with the same meaning whether in singular or plural form.</p>
            <h3>Definitions</h3>
            <p>For the purposes of this Privacy Policy:</p>
            <ul>
                <li><p><strong>Account</strong> means a unique account created for You to access our Service or parts of our Service.</p></li>
                <li><p><strong>Affiliate</strong> means an entity that controls, is controlled by or is under common control with a party, where "control" means ownership of 50% or more of the shares, equity interest or other securities entitled to vote for election of directors or other managing authority.</p></li>
                <li><p><strong>Company</strong> (referred to as either "the Company", "We", "Us" or "Our" in this Agreement) refers to All Clip Downloader.</p></li>
                <li><p><strong>Cookies</strong> are small files that are placed on Your computer, mobile device or any other device by a website, containing the details of Your browsing history on that website among its many uses.</p></li>
                <li><p><strong>Country</strong> refers to: Arizona, United States</p></li>
                <li><p><strong>Device</strong> means any device that can access the Service such as a computer, a cellphone or a digital tablet.</p></li>
                <li><p><strong>Personal Data</strong> is any information that relates to an identified or identifiable individual.</p></li>
                <li><p><strong>Service</strong> refers to the Website.</p></li>
                <li><p><strong>Service Provider</strong> means any natural or legal person who processes the data on behalf of the Company. It refers to third-party companies or individuals employed by the Company to facilitate the Service, to provide the Service on behalf of the Company, to perform services related to the Service or to assist the Company in analyzing how the Service is used.</p></li>
                <li><p><strong>Usage Data</strong> refers to data collected automatically, either generated by the use of the Service or from the Service infrastructure itself (for example, the duration of a page visit).</p></li>
                <li><p><strong>Website</strong> refers to All Clip Downloader, accessible from <a href="https://allclipdownloader.com/">https://allclipdownloader.com/</a></p></li>
                <li><p><strong>You</strong> means the individual accessing or using the Service, or the company, or other legal entity on behalf of which such individual is accessing or using the Service, as applicable.</p></li>
            </ul>
            <h2>How We Handle Your Personal Data</h2>
            <h3>Collection of Data</h3>
            <h4>Information We Collect</h4>
            <p>We may ask you to provide us with certain personally identifiable information that can be used to contact or identify you. This includes, but is not limited to, Usage Data, which is collected automatically when using our Service.</p>
            <h4>Cookies and Tracking</h4>
            <p>We use Cookies and similar tracking technologies to track activity on Our Service and store certain information. These technologies help us improve and analyze our Service, enhancing your experience.</p>
            <h3>Using Your Data</h3>
            <p>We leverage your Personal Data to enhance your experience with our video downloader tools and to ensure the Service runs smoothly on all devices, including mobile and desktop platforms.</p>
            <h3>Storing and Protecting Your Data</h3>
            <p>Your personal information is stored securely and is only retained for as long as necessary for the purposes set out in this Privacy Policy.</p>
            <h3>Your Data, Your Rights</h3>
            <p>You have the right to request access to, correction, or deletion of your personal data that we hold.</p>
            <h2>Children's Privacy</h2>
            <p>Our Service does not address anyone under the age of 13, and we do not knowingly collect personal information from children.</p>
            <h2>External Links and Third-Party Practices</h2>
            <p>Our Service may contain links to external sites that are not operated by us. We have no control over, and assume no responsibility for, the content or privacy policies of these sites.</p>
            <h2>Updates to Our Privacy Policy</h2>
            <p>We may update this Privacy Policy periodically to reflect changes to our practices or for other operational, legal, or regulatory reasons.</p>
            <h2>Get in Touch</h2>
            <p>Questions or feedback? Reach out to us at <a href="mailto:info@allclipdownloader.com">info@allclipdownloader.com</a>.</p>
        </div>
    </div>
</section>


</main>

<?php
include 'includes/footer.php';
$page = 'home';
?>