<?php

ob_start(); // Start output buffering


if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['imgOrReelsIgtv']) && !empty(trim($_POST['imgOrReelsIgtv']))) {

        function extractYouTubeID($inputValue) {
            $patterns = [
                '/youtube\.com\/shorts\/([a-zA-Z0-9_-]{11})/', 
                '/youtu\.be\/([a-zA-Z0-9_-]{11})/', 
                '/youtube\.com\/.*v=([a-zA-Z0-9_-]{11})/',
            ];
        
            foreach ($patterns as $pattern) {
                if (preg_match($pattern, $inputValue, $matches)) {
                    return $matches[1];
                }
            }
            return false;
        }
             
$inputValue = $_POST['imgOrReelsIgtv'];
$youtubeID = extractYouTubeID($inputValue);

if ($youtubeID === false) {
    echo "<script>alert('Please Enter the correct video OR reel link.');</script>";
} else {
    echo $youtubeID;

$curl = curl_init();
curl_setopt_array($curl, [
	CURLOPT_URL => "https://youtube-video-download-info.p.rapidapi.com/dl?id=" . $youtubeID,
	CURLOPT_RETURNTRANSFER => true,
	CURLOPT_ENCODING => "",
	CURLOPT_MAXREDIRS => 10,
	CURLOPT_TIMEOUT => 30,
	CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
	CURLOPT_CUSTOMREQUEST => "GET",
	CURLOPT_HTTPHEADER => [
		"X-RapidAPI-Host: youtube-video-download-info.p.rapidapi.com",
		"X-RapidAPI-Key: 98e3c82106mshd9b883ac6c7a69bp141775jsnd1c78264c142"
	],
]);

$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);


        if ($err) {
            echo "cURL Error: " . htmlspecialchars($err);
        } else {
            // $data = json_decode($response, true);
            echo $response;

// Decode the JSON response into a PHP associative array
$data = json_decode($response, true);

// Accessing the nested element
if (isset($data['link']['22'][0])) {
    $nestedElement = $data['link']['22'][0];
    echo "<script>console.log(" . json_encode($nestedElement) . ");</script>";

// Redirect to the URL
header('Location: ' . $nestedElement);
exit(); // It's important to call exit() after a header redirect

} else {
    echo "The video you trying to access it's sets private by user.";
}
           
        }

    }

    } else {
        // Input is empty or not set
        echo '<script>alert("The input field is empty. Please enter a URL.");</script>';
    }
}

ob_end_flush(); // Flush the output buffer and send to browser

?>

<?php
include 'includes/header.php';
$page = 'home';
?>

<style>
.banner_section::before {
    background: #fe0000f2;
}

.banner_section {
    background-image: url(images/you2.jpg);
}
</style>

<main>




    <!-- header section start-->
    <!-- banner section start-->

    <div class="banner_section layout_padding layout_padding343" id="topSection">
        <div class="container">
            <h1 class="best_taital">Explore Youtube and Download</h1>
            <div class="martop">
                <div class="" id="pills-tab" role="tablist">
                    <div class="row justify-content-center">
                        <div class="col-xl-2 col-lg-2 col-md-2 col-5 icon-div text-center">
                            <button class="tab-tab active" id="pills-profile-tab" data-bs-toggle="pill"
                                data-bs-target="#pills-profile" type="button" role="tab" aria-controls="pills-profile"
                                aria-selected="false" tabindex="-1">
                                <img src="images/video.png" alt="Video Icon" class="img-fluid icon-img">
                                <h5 class="mt-2">Regular Videos</h5>
                            </button>
                        </div>
                        <div class="col-xl-2 col-lg-2 col-md-2 col-5 icon-div text-center">
                            <button class="tab-tab" id="pills-contact1-tab" data-bs-toggle="pill"
                                data-bs-target="#pills-contact1" type="button" role="tab" aria-controls="pills-contact1"
                                aria-selected="false" tabindex="-1">
                                <img src="images/reels.png" alt="Video Icon" class="img-fluid icon-img">
                                <h5 class="mt-2">Short/Reels</h5>
                            </button>
                        </div>
                    </div>
                </div>
            </div>

            <div class="box_main mt-3">

                <form method="POST">
                    <input type="text" class="email_bt" autocomplete="off" placeholder="Paste videos link here..."
                        name="imgOrReelsIgtv" required>
                    <button type="submit" class="subscribe_bt imgOrReelsIgtv" name="imgOrReelsIgtvBtn">Download</button>
                </form>

            </div>

            <div class="tab-content" id="pills-tabContent">
                <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">
                    <p class="there_text">Explore the simplicity of downloading YouTube videos with
                        AllClipDownloader. Our platform offers a user-friendly experience for effortlessly saving
                        your favorite YouTube content. From educational tutorials to entertaining vlogs, music
                        videos, and more, AllClipDownloader caters to all your YouTube downloading needs. Embrace
                        the convenience of creating your own video library with high-quality YouTube downloads.
                        Start using AllClipDownloader today for easy, fast, and secure access to offline YouTube
                        content</p>
                </div>
            </div>



            <div class="bt_main">
                <div class="discover_bt"><a href="#secSec">Discover More</a>
                    <div class="" id="apeending">

                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php include 'includes/brands.php' ?>

    <?php include 'includes/steps.php' ?>


  
    <!-- Industrial section end-->
    <!-- Corporate section start-->
    <div class="marketing_section layout_padding" id="secSec">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <div class="job_section">
                        <h1 class="jobs_text">Facebook Video Downloads Simplified with AllClipDownloader</h1>
                        <p class="dummy_text">Transform your Facebook video downloading experience with AllClipDownloader. Our platform is expertly crafted to make saving videos and reels from Facebook straightforward and secure. Capture and preserve personal moments or public content with ease. AllClipDownloader is your reliable partner for quick and high-quality Facebook video downloads, ensuring you can relish your favorite Facebook moments offline, whenever desired.</p>
                        <div class="apply_bt"><a href="facebook">Try now</a></div>
                    </div>
                </div>
                <div class="col-md-6 ">
                    <div class="image_1"><img src="images/ser1.png"></div>
                </div>
            </div>
        </div>
    </div>
    <!-- marketing section end-->
    <!-- Industrial section start-->
    <div class="marketing_section layout_padding">
        <div class="container">
            <div class="row">
                <div class="col-md-6">
                    <div class="image_1 padding_0"><img src="images/three.gif"></div>
                </div>
                <div class="col-md-6">
                    <div class="job_section_2">
                        <h1 class="jobs_text">Instagram Content Downloading Excellence via AllClipDownloader</h1>
                        <p class="dummy_text">Elevate your Instagram experience with AllClipDownloader’s specialized tool for downloading Instagram videos, photos, and reels. Tailored for Instagram lovers, our platform simplifies the process of saving cherished Instagram memories, be it stunning reels, photos, or videos. Whether it’s for personal archiving or creating an inspirational content collection, AllClipDownloader guarantees a smooth, secure, and user-friendly downloading journey. Dive into the world of high-quality Instagram downloads and access your beloved content offline, at any time.</p>
                        <div class="apply_bt"><a href="https://allclipdownloader.com/">Try now</a></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Industrial section end-->
    <!-- Corporate section start-->
    <div class="marketing_section layout_padding">
        <div class="container" >
            <div class="row">
                <div class="col-md-6">
                    <div class="job_section">
                        <h1 class="jobs_text">TikTok Video Download Mastery with AllClipDownloader</h1>
                        <p class="dummy_text">Unlock the full potential of TikTok video downloads with AllClipDownloader. Designed for simplicity and efficiency, our tool effortlessly captures trending TikTok dances, creative clips, and more. Enjoy seamless downloads of your preferred TikTok content, ensuring each moment is preserved in high quality. AllClipDownloader is synonymous with reliability and security, providing a hassle-free experience for your TikTok video collection. Begin your journey to effortless TikTok video downloads with us today.</p>
                        <div class="apply_bt"><a href="tiktok">Try now</a></div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="image_1 padding_0"><img src="images/ser2.jpg"></div>
                </div>
            </div>
        </div>
    </div>

    <?php include 'includes/faq.php' ?>




</main>

<?php
include 'includes/footer.php';
$page = 'home';
?>