<!DOCTYPE html>
<html>

<head>
<?php
// Get the current URL without query string
$uri = $_SERVER['REQUEST_URI'];
$domain = $_SERVER['HTTP_HOST'];
$scheme = isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off' ? 'https' : 'http';

// Construct the full URL
$canonicalUrl = $scheme . '://' . $domain . explode('?', $uri)[0];
?>
<meta charset="UTF-8">
<link rel="canonical" href="<?php echo $canonicalUrl; ?>" />
<meta name="keywords" content="Instagram video downloader, YouTube downloader, TikTok downloader, Facebook video download">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>All Clip Downloader</title>
<meta name="description" content="AllClipDownloader simplifies your video downloads from top platforms like Instagram, YouTube, TikTok, and Facebook. Experience fast, free, and user-friendly downloading of your favorite social media content.">
<meta name="robots" content="index, follow">

<!--Social Media Tags:-->
<meta property="og:title" content="AllClipDownloader: Download Videos from Instagram, YouTube, TikTok, and Facebook"/>
<meta property="og:description" content="Get easy access to downloading videos from Instagram, YouTube, TikTok, and Facebook with AllClipDownloader. Fast, reliable, and absolutely free. Enhance your video collection today!"/>
<meta property="og:url" content="https://allclipdownloader.com/"/>
<meta property="og:image" content="https://allclipdownloader.com/images/logo.png"/>

<!--Twitter Card:-->
<meta name="twitter:card" content="summary_large_image">
<meta name="twitter:title" content="AllClipDownloader: Your Gateway to Downloading Social Media Videos">
<meta name="twitter:description" content="Download and save videos easily from Instagram, YouTube, TikTok, and Facebook with AllClipDownloader. Quick, efficient, and free – start downloading now!">
<meta name="twitter:image" content="https://allclipdownloader.com/images/logo.png">


    <link rel="icon" href="images/fav.png" type="image/png" sizes="">
 
    <link rel="stylesheet" href="https://netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
        <link rel="stylesheet" type="text/css"
        href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.css" />
    <link rel="stylesheet" type="text/css"
        href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick-theme.css" />
        <link href="https://site-assets.fontawesome.com/releases/v6.0.0/css/all.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="css/style.css">
    <link rel="stylesheet" href="css/responsive.css">
    
    
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-295547034-1"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-295547034-1');
</script>

<!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-PNT6P4PD');</script>
<!-- End Google Tag Manager -->


</head>

<body>
<div class="loading loadDiv" id="loader" style="display: none;">Loading&#8230;</div>



    <!-- header section start-->


 




    <nav class="navbar navbar-expand-lg bg-body-tertiary navbar-light bg-light" id="topSectionHead">
  <div class="container">
    <a class="navbar-brand" href="https://allclipdownloader.com/"> <div class="logo" href="#">
            <img src="images/logo.png">
         
</div></a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav ms-auto mb-2 mb-lg-0">
      <li class="nav-item">
                    <a class="nav-link" href="https://allclipdownloader.com/">Instagram</a>
                </li>
                
                <li class="nav-item">
                    <a class="nav-link" href="youtube">YouTube</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="tiktok">TikTok</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="facebook">FaceBook</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="privacy-policy">Privacy Policy</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="terms-and-condition">Terms and Conditions</a>
                </li>
   
      </ul>
   
    </div>
  </div>
</nav>
